# Constant Field Values

## Contents

- org.eclipse.*

## org.eclipse.*

org.eclipse.birt.report.engine.api.DocxRenderOption
Modifier and Type
Constant Field
Value
`public static final String`
`OPTION_COMPRESSION_MODE`
`"BEST_COMPRESSION"`
`public static final String`
`OPTION_EMBED_HTML`
`"EmbedHtml"`
`public static final String`
`OPTION_WORD_VERSION`
`"WordVersion"`
org.eclipse.birt.report.engine.api.EngineConstants
Modifier and Type
Constant Field
Value
`public static final String`
`APPCONTEXT_BIRT_VIEWER_HTTPSERVET_REQUEST`
`"BIRT_VIEWER_HTTPSERVET_REQUEST"`
`public static final String`
`APPCONTEXT_CHART_PRINT_RESOLUTION`
`"CHART_RESOLUTION"`
`public static final String`
`APPCONTEXT_CHART_RESOLUTION`
`"CHART_RESOLUTION"`
`public static final String`
`APPCONTEXT_CLASSLOADER_KEY`
`"PARENT_CLASSLOADER"`
`public static final String`
`APPCONTEXT_DATASET_CACHE_OPTION`
`"DATASET_CACHE_OPTION"`
`public static final String`
`APPCONTEXT_ENGINE_TASK`
`"EngineTask"`
`public static final String`
`APPCONTEXT_HTML_RENDER_CONTEXT`
`"HTML_RENDER_CONTEXT"`
`public static final String`
`APPCONTEXT_MAX_PAGE_BREAK_INTERVAL`
`"MAX_PAGE_BREAK_INTERVAL"`
`public static final String`
`APPCONTEXT_PDF_RENDER_CONTEXT`
`"PDF_RENDER_CONTEXT"`
`public static final String`
`APPCONTEXT_URL_PARAM_FORMAT_KEY`
`"URL_PARAM_FORMAT"`
`public static final String`
`PROJECT_CLASSPATH_KEY`
`"user.projectclasspath"`
`public static final String`
`PROPERTY_EXTENDED_ITEM_MAX_ROW`
`"EXTENDED_ITEM_MAX_ROW"`
`public static final String`
`PROPERTY_EXTENDED_ITEM_MAX_VARIABLE_SIZE`
`"EXTENDED_ITEM_MAX_VARIABLE_SIZE"`
`public static final String`
`PROPERTY_FISCAL_YEAR_START_DATE`
`"FISCAL_YEAR_START_DATE"`
`public static final String`
`REFRESH_DATA`
`"REFRESH_DATA"`
`public static final String`
`USER_ACL_KEY`
`"USER_ACL"`
`public static final String`
`WEBAPP_CLASSPATH_KEY`
`"webapplication.projectclasspath"`
`public static final String`
`WORKSPACE_CLASSPATH_KEY`
`"workspace.projectclasspath"`
org.eclipse.birt.report.engine.api.EngineException
Modifier and Type
Constant Field
Value
`protected static final String`
`pluginId`
`"org.eclipse.birt.report.engine"`
org.eclipse.birt.report.engine.api.IAction
Modifier and Type
Constant Field
Value
`public static final int`
`ACTION_BOOKMARK`
`2`
`public static final int`
`ACTION_DRILLTHROUGH`
`3`
`public static final int`
`ACTION_HYPERLINK`
`1`
org.eclipse.birt.report.engine.api.IDataAction
Modifier and Type
Constant Field
Value
`public static final int`
`ACTION_DATA`
`4`
org.eclipse.birt.report.engine.api.IDataExtractionOption
Modifier and Type
Constant Field
Value
`public static final String`
`ACTION_HANDLER`
`"actionHandler"`
`public static final String`
`EXTENSION`
`"extension"`
`public static final String`
`IMAGE_HANDLER`
`"imageHandler"`
`public static final String`
`INSTANCE_ID`
`"instanceId"`
`public static final String`
`LOCALE`
`"locale"`
org.eclipse.birt.report.engine.api.IDynamicFilterParameterDefn
Modifier and Type
Constant Field
Value
`public static final int`
`DISPLAY_TYPE_ADVANCED`
`2`
`public static final int`
`DISPLAY_TYPE_SIMPLE`
`1`
org.eclipse.birt.report.engine.api.IEngineConfig
Modifier and Type
Constant Field
Value
`public static final String`
`DEFAULT_RENDER_OPTION`
`"org.eclipse.birt.report.engine.api.EngineConfig.defaultRenderOption"`
`public static final String`
`EMITTER_CONFIGS`
`"org.eclipse.birt.report.engine.api.EngineConfig.emitterConfigs"`
`public static final String`
`ENGINE_LOGGER`
`"org.eclipse.birt.report.engine.logger"`
`public static final String`
`FONT_CONFIG`
`"fontConfig"`
`public static final String`
`LOG_DESTINATION`
`"logDest"`
`public static final String`
`LOG_FILE`
`"logFile"`
`public static final String`
`LOG_LEVEL`
`"logLevel"`
`public static final String`
`LOG_MAX_BACKUP_INDEX`
`"logMaxBackupIndex"`
`public static final String`
`LOG_ROLLING_SIZE`
`"logRollingSize"`
`public static final String`
`MAX_ROWS_PER_QUERY`
`"maxRowsPerQuery"`
`public static final String`
`REPORT_DOCUMENT_LOCK_MANAGER`
`"org.eclipse.birt.report.engine.api.IReportDocumentLockManager"`
`public static final String`
`RESOURCE_LOCATOR`
`"resourceLocator"`
`public static final String`
`RESOURCE_PATH`
`"resourcePath"`
`public static final String`
`SCRIPT_OBJECTS`
`"org.eclipse.birt.report.engine.api.EngineConfig.scriptObjects"`
`public static final String`
`STATUS_HANDLER`
`"org.eclipse.birt.report.engine.api.EngineConfig.statusHandler"`
org.eclipse.birt.report.engine.api.IEngineTask
Modifier and Type
Constant Field
Value
`public static final int`
`CANCEL_ON_ERROR`
`1`
`public static final int`
`CONTINUE_ON_ERROR`
`0`
`public static final int`
`STATUS_CANCELLED`
`4`
`public static final int`
`STATUS_FAILED`
`3`
`public static final int`
`STATUS_NOT_STARTED`
`0`
`public static final int`
`STATUS_RUNNING`
`1`
`public static final int`
`STATUS_SUCCEEDED`
`2`
`public static final int`
`TASK_DATAEXTRACTION`
`4`
`public static final int`
`TASK_DATASETPREVIEW`
`5`
`public static final int`
`TASK_GETPARAMETERDEFINITION`
`0`
`public static final int`
`TASK_RENDER`
`2`
`public static final int`
`TASK_RUN`
`1`
`public static final int`
`TASK_RUNANDRENDER`
`3`
`public static final int`
`TASK_UNKNOWN`
`-1`
org.eclipse.birt.report.engine.api.IExcelRenderOption
Modifier and Type
Constant Field
Value
`public static final String`
`HIDE_GRIDLINES`
`"excelRenderOption.hideGridlines"`
`public static final String`
`IGNORE_IMAGE`
`"excelRenderOption.ignoreImage"`
`public static final String`
`OFFICE_VERSION`
`"excelRenderOption.officeVersion"`
`public static final String`
`OPTION_MULTIPLE_SHEET`
`"excelRenderOption.multipleSheet"`
`public static final String`
`WRAPPING_TEXT`
`"excelRenderOption.wrappingText"`
org.eclipse.birt.report.engine.api.IExtractionOption
Modifier and Type
Constant Field
Value
`public static final String`
`OPTION_FORMATTER`
`"extract.formatter"`
`public static final String`
`OUTPUT_FILE_NAME`
`"outputFile"`
`public static final String`
`OUTPUT_FORMAT`
`"Format"`
`public static final String`
`OUTPUT_STREAM`
`"outputStream"`
org.eclipse.birt.report.engine.api.IHTMLRenderOption
Modifier and Type
Constant Field
Value
`public static final String`
`BASE_IMAGE_URL`
`"baseImageURL"`
`public static final String`
`BIRT_JS_URL_KEY`
`"birtJsUrl"`
`public static final String`
`BIRT_VIEWER_SERVLET_PATH`
`"BirtViewerServletPath"`
`public static final String`
`HTML`
`"HTML"`
`public static final String`
`HTML_DISPLAY_FILTER_ICON`
`"htmlDisplayFilterIcon"`
`public static final String`
`HTML_DISPLAY_GROUP_ICON`
`"displayGroupIcon"`
`public static final String`
`HTML_ENABLE_AGENTSTYLE_ENGINE`
`"enableAgentStyleEngine"`
`public static final String`
`HTML_ENABLE_COMPACT_MODE`
`"htmlEnableCompactMode"`
`public static final String`
`HTML_ENABLE_INLINE_STYLE`
`"htmlEnableInlineStyle"`
`public static final String`
`HTML_ENABLE_METADATA`
`"htmlEnableMetadata"`
`public static final String`
`HTML_ID_NAMESPACE`
`"HTMLIDNamespace"`
`public static final String`
`HTML_INCLUDE_SELECTION_HANDLE`
`"includeSelectionHandle"`
`public static final String`
`HTML_INDENT`
`"HTMLIndent"`
`public static final String`
`HTML_LAYOUT_PREFERENCE`
`"layoutPreference"`
`public static final String`
`HTML_NOCSS`
`"HTMLNoCSS"`
`public static final String`
`HTML_OUTPUT_MASTER_PAGE_MARGINS`
`"org.eclipse.birt.report.engine.api.IHTMLRenderOption.outputMasterPageMargins"`
`public static final String`
`HTML_RTL_FLAG`
`"RTLFlag"`
`public static final String`
`HTML_TITLE`
`"htmlTitle"`
`public static final String`
`HTML_TYPE`
`"HTMLType"`
`public static final String`
`HTML_VIEWPORT_META`
`"viewport"`
`public static final String`
`HTML_WRAP_TEMPLATE_TABLE`
`"wrapTemplateTable"`
`public static final String`
`IMAGE_DIRECTROY`
`"imageDirectory"`
`public static final String`
`INSTANCE_ID_LIST`
`"InstanceIdList"`
`public static final String`
`LAYOUT_PREFERENCE_AUTO`
`"auto"`
`public static final String`
`LAYOUT_PREFERENCE_FIXED`
`"fixed"`
`public static final String`
`MASTER_PAGE_CONTENT`
`"htmlMasterPageContent"`
`public static final String`
`METADATA_FILTER`
`"metadataFilter"`
`public static final String`
`PAGEFOOTER_FLOAT_FLAG`
`"pageFooterFloatFlag"`
`public static final String`
`URL_ENCODING`
`"url-encoding"`
`public static final String`
`USER_AGENT`
`"user-agent"`
`public static final String`
`VIEWER_PREVIEW_HTML_LAYOUT`
`"preview_html"`
`public static final String`
`VIEWER_PREVIEW_LAYOUT`
`"preview_layout"`
`public static final String`
`VIEWER_PREVIEW_PAGE_LAYOUT`
`"preview_page"`
org.eclipse.birt.report.engine.api.IImage
Modifier and Type
Constant Field
Value
`public static final int`
`CUSTOM_IMAGE`
`4`
`public static final int`
`DESIGN_IMAGE`
`0`
`public static final int`
`FILE_IMAGE`
`3`
`public static final int`
`INVALID_IMAGE`
`-1`
`public static final int`
`REPORTDOC_IMAGE`
`1`
`public static final int`
`URL_IMAGE`
`2`
org.eclipse.birt.report.engine.api.IMetadataFilter
Modifier and Type
Constant Field
Value
`public static final String`
`KEY_ADD_INTO_IID_LIST`
`"iid_list"`
`public static final String`
`KEY_ATTR_ELEMENT_TYPE`
`"element_type"`
`public static final String`
`KEY_ATTR_ROW_TYPE`
`"row-type"`
`public static final String`
`KEY_ATTR_TYPE`
`"type"`
`public static final String`
`KEY_OUTPUT_BOOKMARK`
`"bookmark"`
`public static final String`
`KEY_OUTPUT_GOURP_ID`
`"group-id"`
`public static final String`
`KEY_OUTPUT_IID`
`"iid"`
`public static final String`
`KEY_OUTPUT_RAW_DATA`
`"raw_data"`
org.eclipse.birt.report.engine.api.IParameterDefn
Modifier and Type
Constant Field
Value
`public static final int`
`SELECTION_LIST_DYNAMIC`
`1`
`public static final int`
`SELECTION_LIST_NONE`
`0`
`public static final int`
`SELECTION_LIST_STATIC`
`2`
`public static final int`
`TYPE_ANY`
`0`
`public static final int`
`TYPE_BOOLEAN`
`5`
`public static final int`
`TYPE_DATE`
`7`
`public static final int`
`TYPE_DATE_TIME`
`4`
`public static final int`
`TYPE_DECIMAL`
`3`
`public static final int`
`TYPE_FLOAT`
`2`
`public static final int`
`TYPE_INTEGER`
`6`
`public static final int`
`TYPE_STRING`
`1`
`public static final int`
`TYPE_TIME`
`8`
org.eclipse.birt.report.engine.api.IParameterDefnBase
Modifier and Type
Constant Field
Value
`public static final int`
`CASCADING_PARAMETER_GROUP`
`5`
`public static final int`
`FILTER_PARAMETER`
`1`
`public static final int`
`LIST_PARAMETER`
`2`
`public static final int`
`PARAMETER_GROUP`
`4`
`public static final int`
`SCALAR_PARAMETER`
`0`
`public static final int`
`TABLE_PARAMETER`
`3`
org.eclipse.birt.report.engine.api.IPDFRenderOption
Modifier and Type
Constant Field
Value
`public static final int`
`CLIP_CONTENT`
`1`
`public static final String`
`DISABLE_FLASH_ANIMATION`
`"pdfRenderOption.disableFlashAnimation"`
`public static final String`
`DISABLE_PRINT`
`"pdfRenderOption.disablePrint"`
`public static final String`
`DPI`
`"RenderDpi"`
`public static final int`
`ENLARGE_PAGE_SIZE`
`8`
`public static final String`
`FIT_TO_PAGE`
`"pdfRenderOption.fitToPage"`
`public static final int`
`FIT_TO_PAGE_SIZE`
`2`
`public static final String`
`FONT_DIRECTORY`
`"pdfRenderOption.fontDirectory"`
`public static final String`
`IS_EMBEDDED_FONT`
`"pdfRenderOption.embeddedFonts"`
`public static final int`
`OUTPUT_TO_MULTIPLE_PAGES`
`4`
`public static final String`
`PAGE_OVERFLOW`
`"pdfRenderOption.pageOverflow"`
`public static final String`
`PAGEBREAK_PAGINATION_ONLY`
`"pdfRenderOption.pagebreakPaginationOnly"`
`public static final String`
`PDF_BIDI_PROCESSING`
`"pdfRenderOption.bidiProcessing"`
`public static final String`
`PDF_FONT_SUBSTITUTION`
`"pdfRenderOption.fontSubstitution"`
`public static final String`
`PDF_PAGE_LIMIT`
`"pdfRenderOption.pageLimit"`
`public static final String`
`PDF_TEXT_WRAPPING`
`"pdfRenderOption.textWrapping"`
`public static final String`
`PDF_WORDBREAK`
`"pdfRenderOption.wordBreak"`
`public static final String`
`REPAGINATE_FOR_PDF`
`"pdfRenderOption.repaginateForPDF"`
`public static final String`
`RESERVE_DOCUMENT_PAGE_NUMBERS`
`"pdfRenderOption.reserveDocumentPageNumbers"`
org.eclipse.birt.report.engine.api.IPostscriptRenderOption
Modifier and Type
Constant Field
Value
`public static final int`
`DUPLEX_FLIP_ON_LONG_EDGE`
`2`
`public static final int`
`DUPLEX_FLIP_ON_SHORT_EDGE`
`1`
`public static final int`
`DUPLEX_SIMPLEX`
`0`
`public static final String`
`OPTION_AUTO_PAPER_SIZE_SELECTION`
`"OptionAutoPaperSizeSelection"`
`public static final String`
`OPTION_COLLATE`
`"OptionCollate"`
`public static final String`
`OPTION_COLOR`
`"OptionColor"`
`public static final String`
`OPTION_COPIES`
`"OptionCopies"`
`public static final String`
`OPTION_DUPLEX`
`"OptionDuplex"`
`public static final String`
`OPTION_FIT_TO_PAPER`
`"OptionFitToPaper"`
`public static final String`
`OPTION_PAPER_SIZE`
`"OptionPagerSize"`
`public static final String`
`OPTION_PAPER_TRAY`
`"OptionPageTray"`
`public static final String`
`OPTION_RESOLUTION`
`"OptionResolution"`
`public static final String`
`OPTION_SCALE`
`"OptionScale"`
`public static final String`
`PS_LEVEL`
`"psLevel"`
org.eclipse.birt.report.engine.api.IPPTRenderOption
Modifier and Type
Constant Field
Value
`public static final String`
`EXPORT_FILE_FOR_MICROSOFT_OFFICE_2010_2013`
`"pptRenderOption.exportFileInMht"`
org.eclipse.birt.report.engine.api.IProgressMonitor
Modifier and Type
Constant Field
Value
`public static final int`
`END_PAGE`
`4`
`public static final int`
`END_QUERY`
`6`
`public static final int`
`END_TASK`
`2`
`public static final int`
`FETCH_ROW`
`7`
`public static final int`
`START_PAGE`
`3`
`public static final int`
`START_QUERY`
`5`
`public static final int`
`START_TASK`
`1`
org.eclipse.birt.report.engine.api.IRenderOption
Modifier and Type
Constant Field
Value
`public static final String`
`ACTION_HANDLER`
`"actionHandler"`
`public static final String`
`APP_BASE_URL`
`"baseUrl"`
`public static final String`
`BASE_URL`
`"baseUrl"`
`public static final String`
`CHART_DPI`
`"ChartDpi"`
`public static final String`
`CLOSE_OUTPUTSTREAM_ON_EXIT`
`"closeOutputStreamOnExit"`
`public static final String`
`EMITTER_ID`
`"emitterID"`
`public static final String`
`HTML_PAGINATION`
`"htmlPagination"`
`public static final String`
`IMAGE_HANDLER`
`"imageHandler"`
`public static final String`
`LOCALE`
`"locale"`
`public static final String`
`OUTPUT_DISPLAY_NONE`
`"org.eclipse.birt.report.engine.api.IRenderOption.outputDisplayNone"`
`public static final String`
`OUTPUT_EMITTERID_HTML`
`"org.eclipse.birt.report.engine.emitter.html"`
`public static final String`
`OUTPUT_EMITTERID_PDF`
`"org.eclipse.birt.report.engine.emitter.pdf"`
`public static final String`
`OUTPUT_FILE_NAME`
`"outputFile"`
`public static final String`
`OUTPUT_FORMAT`
`"Format"`
`public static final String`
`OUTPUT_FORMAT_FO`
`"fo"`
`public static final String`
`OUTPUT_FORMAT_HTML`
`"html"`
`public static final String`
`OUTPUT_FORMAT_PDF`
`"pdf"`
`public static final String`
`OUTPUT_STREAM`
`"outputStream"`
`public static final String`
`RENDER_DPI`
`"RenderDpi"`
`public static final String`
`REPORTLET_SIZE`
`"reportletSize"`
`public static final String`
`RTL_FLAG`
`"RTLFlag"`
`public static final String`
`SUPPORTED_IMAGE_FORMATS`
`"supportedImageFormats"`
org.eclipse.birt.report.engine.api.IReportDocument
Modifier and Type
Constant Field
Value
`public static final int`
`GLOBAL_VARIABLE_OPTION_ALL`
`0`
`public static final int`
`GLOBAL_VARIABLE_OPTION_JAVA_ONLY`
`1`
`public static final int`
`GLOBAL_VARIABLE_OPTION_JS_ONLY`
`2`
org.eclipse.birt.report.engine.api.IReportEngineFactory
Modifier and Type
Constant Field
Value
`public static final String`
`EXTENSION_REPORT_ENGINE_FACTORY`
`"org.eclipse.birt.report.engine.ReportEngineFactory"`
org.eclipse.birt.report.engine.api.IReportRunnable
Modifier and Type
Constant Field
Value
`public static final String`
`AUTHOR`
`"author"`
`public static final String`
`BASE_PROP`
`"base"`
`public static final String`
`COMMENTS`
`"comments"`
`public static final String`
`CREATEDBY`
`"createdBy"`
`public static final String`
`DESCRIPTION`
`"description"`
`public static final String`
`HELP_GUIDE`
`"helpGuide"`
`public static final String`
`REFRESH_RATE`
`"refreshRate"`
`public static final String`
`TITLE`
`"title"`
`public static final String`
`UNITS`
`"units"`
org.eclipse.birt.report.engine.api.IScalarParameterDefn
Modifier and Type
Constant Field
Value
`public static final int`
`AUTO`
`0`
`public static final int`
`AUTO_SUGGEST`
`4`
`public static final int`
`CENTER`
`2`
`public static final int`
`CHECK_BOX`
`3`
`public static final int`
`LEFT`
`1`
`public static final int`
`LIST_BOX`
`1`
`public static final int`
`RADIO_BUTTON`
`2`
`public static final int`
`RIGHT`
`3`
`public static final int`
`TEXT_BOX`
`0`
org.eclipse.birt.report.engine.api.TOCStyle
Modifier and Type
Constant Field
Value
`public static final String`
`BACKGROUND_ATTACHMENT`
`"background-attachment"`
`public static final String`
`BACKGROUND_COLOR`
`"background-color"`
`public static final String`
`BACKGROUND_IMAGE`
`"background-image"`
`public static final String`
`BACKGROUND_IMAGE_TYPE`
`"background-image-type"`
`public static final String`
`BACKGROUND_POSITION_X`
`"background-position-x"`
`public static final String`
`BACKGROUND_POSITION_Y`
`"background-position-y"`
`public static final String`
`BACKGROUND_REPEAT`
`"background-repeat"`
`public static final String`
`BACKGROUND_SIZE_HEIGHT`
`"background-size-height"`
`public static final String`
`BACKGROUND_SIZE_WIDTH`
`"background-size-width"`
`public static final String`
`BORDER_ANTIDIAGONAL_COLOR`
`"border-antidiagonal-color"`
`public static final String`
`BORDER_ANTIDIAGONAL_NUMBER`
`"border-antidiagonal-number"`
`public static final String`
`BORDER_ANTIDIAGONAL_STYLE`
`"border-antidiagonal-style"`
`public static final String`
`BORDER_ANTIDIAGONAL_WIDTH`
`"border-antidiagonal-width"`
`public static final String`
`BORDER_BOTTOM_COLOR`
`"border-bottom-color"`
`public static final String`
`BORDER_BOTTOM_STYLE`
`"border-bottom-style"`
`public static final String`
`BORDER_BOTTOM_WIDTH`
`"border-bottom-width"`
`public static final String`
`BORDER_DIAGONAL_COLOR`
`"border-diagonal-color"`
`public static final String`
`BORDER_DIAGONAL_NUMBER`
`"border-diagonal-number"`
`public static final String`
`BORDER_DIAGONAL_STYLE`
`"border-diagonal-style"`
`public static final String`
`BORDER_DIAGONAL_WIDTH`
`"border-diagonal-width"`
`public static final String`
`BORDER_LEFT_COLOR`
`"border-left-color"`
`public static final String`
`BORDER_LEFT_STYLE`
`"border-left-style"`
`public static final String`
`BORDER_LEFT_WIDTH`
`"border-left-width"`
`public static final String`
`BORDER_RIGHT_COLOR`
`"border-right-color"`
`public static final String`
`BORDER_RIGHT_STYLE`
`"border-right-style"`
`public static final String`
`BORDER_RIGHT_WIDTH`
`"border-right-width"`
`public static final String`
`BORDER_TOP_COLOR`
`"border-top-color"`
`public static final String`
`BORDER_TOP_STYLE`
`"border-top-style"`
`public static final String`
`BORDER_TOP_WIDTH`
`"border-top-width"`
`public static final String`
`CAN_SHRINK`
`"can-shrink"`
`public static final String`
`COLOR`
`"color"`
`public static final String`
`DATE_FORMAT`
`"date-format"`
`public static final String`
`DATE_LOCALE`
`"date-locale"`
`public static final String`
`DIRECTION`
`"direction"`
`public static final String`
`DISPLAY`
`"display"`
`public static final String`
`FONT_FAMILY`
`"font-family"`
`public static final String`
`FONT_SIZE`
`"font-size"`
`public static final String`
`FONT_STYLE`
`"font-style"`
`public static final String`
`FONT_VARIANT`
`"font-variant"`
`public static final String`
`FONT_WEIGHT`
`"font-weight"`
`public static final String`
`LETTER_SPACING`
`"letter-spacing"`
`public static final String`
`LINE_HEIGHT`
`"line-height"`
`public static final String`
`MARGIN_BOTTOM`
`"margin-bottom"`
`public static final String`
`MARGIN_LEFT`
`"margin-left"`
`public static final String`
`MARGIN_RIGHT`
`"margin-right"`
`public static final String`
`MARGIN_TOP`
`"margin-top"`
`public static final String`
`MASTER_PAGE`
`"master-page"`
`public static final String`
`NUMBER_FORMAT`
`"number-format"`
`public static final String`
`NUMBER_LOCALE`
`"number-locale"`
`public static final String`
`PADDING_BOTTOM`
`"padding-bottom"`
`public static final String`
`PADDING_LEFT`
`"padding-left"`
`public static final String`
`PADDING_RIGHT`
`"padding-right"`
`public static final String`
`PADDING_TOP`
`"padding-top"`
`public static final String`
`PAGE_BREAK_AFTER`
`"page-break-after"`
`public static final String`
`PAGE_BREAK_BEFORE`
`"page-break-before"`
`public static final String`
`PAGE_BREAK_INSIDE`
`"page-break-inside"`
`public static final String`
`SHOW_IF_BLANK`
`"show-if-blank"`
`public static final String`
`STRING_FORMAT`
`"string-format"`
`public static final String`
`STRING_LOCALE`
`"string-locale"`
`public static final String`
`TEXT_ALIGN`
`"text-align"`
`public static final String`
`TEXT_HYPERLINK_STYLE`
`"text-decoration"`
`public static final String`
`TEXT_INDENT`
`"text-indent"`
`public static final String`
`TEXT_LINE_THROUGH`
`"text-line-through"`
`public static final String`
`TEXT_OVERLINE`
`"text-overline"`
`public static final String`
`TEXT_TRANSFORM`
`"text-transform"`
`public static final String`
`TEXT_UNDERLINE`
`"text-underline"`
`public static final String`
`VERTICAL_ALIGN`
`"vertical-align"`
`public static final String`
`VISIBLE_FORMAT`
`"visible-format"`
`public static final String`
`WHITE_SPACE`
`"white-space"`
`public static final String`
`WORD_SPACING`
`"word-spacing"`

org.eclipse.birt.report.engine.content.IAutoTextContent
Modifier and Type
Constant Field
Value
`public static final int`
`PAGE_NUMBER`
`1`
`public static final int`
`PAGE_VARIABLE`
`4`
`public static final int`
`TOTAL_PAGE`
`0`
`public static final int`
`UNFILTERED_PAGE_NUMBER`
`3`
`public static final int`
`UNFILTERED_TOTAL_PAGE`
`2`
org.eclipse.birt.report.engine.content.IBandContent
Modifier and Type
Constant Field
Value
`public static final int`
`BAND_DETAIL`
`0`
`public static final int`
`BAND_FOOTER`
`2`
`public static final int`
`BAND_GROUP_FOOTER`
`4`
`public static final int`
`BAND_GROUP_HEADER`
`3`
`public static final int`
`BAND_HEADER`
`1`
org.eclipse.birt.report.engine.content.IContent
Modifier and Type
Constant Field
Value
`public static final int`
`AUTOTEXT_CONTENT`
`12`
`public static final int`
`CELL_CONTENT`
`1`
`public static final int`
`CONTAINER_CONTENT`
`2`
`public static final int`
`DATA_CONTENT`
`3`
`public static final int`
`DOCUMENT_EXTENSION`
`0`
`public static final int`
`FOREIGN_CONTENT`
`4`
`public static final int`
`GROUP_CONTENT`
`15`
`public static final int`
`IMAGE_CONTENT`
`5`
`public static final int`
`LABEL_CONTENT`
`6`
`public static final int`
`LAYOUT_EXTENSION`
`1`
`public static final int`
`LIST_BAND_CONTENT`
`14`
`public static final int`
`LIST_CONTENT`
`13`
`public static final int`
`LIST_GROUP_CONTENT`
`16`
`public static final int`
`PAGE_CONTENT`
`7`
`public static final int`
`REPORT_CONTENT`
`0`
`public static final int`
`ROW_CONTENT`
`8`
`public static final int`
`SERIALIZE_CONTENT`
`-1`
`public static final int`
`TABLE_BAND_CONTENT`
`9`
`public static final int`
`TABLE_CONTENT`
`10`
`public static final int`
`TABLE_GROUP_CONTENT`
`17`
`public static final int`
`TEXT_CONTENT`
`11`
org.eclipse.birt.report.engine.content.IForeignContent
Modifier and Type
Constant Field
Value
`public static final String`
`EXTERNAL_TYPE`
`"object/external"`
`public static final String`
`HTML_TYPE`
`"text/html"`
`public static final String`
`IMAGE_TYPE`
`"binary/image"`
`public static final String`
`TEMPLATE_TYPE`
`"text/template"`
`public static final String`
`TEXT_TYPE`
`"text/plaintext"`
`public static final String`
`UNKNOWN_TYPE`
`"binary/unknown"`
`public static final String`
`VALUE_TYPE`
`"binary/value"`
org.eclipse.birt.report.engine.content.IHyperlinkAction
Modifier and Type
Constant Field
Value
`public static final int`
`ACTION_BOOKMARK`
`2`
`public static final int`
`ACTION_DRILLTHROUGH`
`3`
`public static final int`
`ACTION_HYPERLINK`
`1`
org.eclipse.birt.report.engine.content.IImageContent
Modifier and Type
Constant Field
Value
`public static final int`
`IMAGE_EXPRESSION`
`2`
`public static final int`
`IMAGE_FILE`
`0`
`public static final int`
`IMAGE_NAME`
`1`
`public static final int`
`IMAGE_URI`
`3`
`public static final int`
`IMAGE_URL`
`3`

org.eclipse.birt.report.engine.emitter.ImageReader
Modifier and Type
Constant Field
Value
`public static final int`
`OBJECT_LOADED_SUCCESSFULLY`
`2`
`public static final int`
`OBJECT_UNLOADED`
`-1`
`public static final int`
`RESOURCE_UNREACHABLE`
`0`
`public static final int`
`TYPE_CONVERTED_SVG_OBJECT`
`3`
`public static final int`
`TYPE_FLASH_OBJECT`
`1`
`public static final int`
`TYPE_IMAGE_OBJECT`
`0`
`public static final int`
`TYPE_SVG_OBJECT`
`2`
`public static final int`
`UNSUPPORTED_OBJECTS`
`1`

org.eclipse.birt.report.engine.extension.IBaseResultSet
Modifier and Type
Constant Field
Value
`public static final int`
`CUBE_RESULTSET`
`1`
`public static final int`
`QUERY_RESULTSET`
`0`
org.eclipse.birt.report.engine.extension.IReportEvent
Modifier and Type
Constant Field
Value
`public static final int`
`ON_CREATE_EVENT`
`2`
`public static final int`
`ON_PAGEBREAK_EVENT`
`4`
`public static final int`
`ON_PREPARE_EVENT`
`1`
`public static final int`
`ON_RENDER_EVENT`
`3`
org.eclipse.birt.report.engine.extension.IReportItemPresentation
Modifier and Type
Constant Field
Value
`public static final int`
`OUTPUT_AS_CUSTOM`
`5`
`public static final int`
`OUTPUT_AS_DRAWING`
`4`
`public static final int`
`OUTPUT_AS_HTML_TEXT`
`3`
`public static final int`
`OUTPUT_AS_IMAGE`
`1`
`public static final int`
`OUTPUT_AS_IMAGE_WITH_MAP`
`6`
`public static final int`
`OUTPUT_AS_TEXT`
`2`
`public static final int`
`OUTPUT_AS_UNKNOWN`
`7`
`public static final int`
`OUTPUT_NONE`
`0`

org.eclipse.birt.report.engine.layout.emitter.Image
Modifier and Type
Constant Field
Value
`public static final int`
`FORMAT_BMP`
`3`
`public static final int`
`FORMAT_GIF`
`1`
`public static final int`
`FORMAT_JPEG`
`0`
`public static final int`
`FORMAT_PNG`
`2`

org.eclipse.birt.report.engine.layout.pdf.emitter.ImageLayout
Modifier and Type
Constant Field
Value
`public static final int`
`TYPE_FLASH_OBJECT`
`1`
`public static final int`
`TYPE_IMAGE_OBJECT`
`0`